#!/usr/bin/env ruby

require 'mkmf'
require 'fileutils'

ADDITIONAL_LIBRARY_DIRS = %w[
	/usr/local/lib
	/opt/lib
	/opt/local/lib
]
ADDITIONAL_INCLUDE_DIRS = %w[
	/usr/local/include
	/opt/include
	/opt/local/include
]

$CFLAGS << ' -Wall' << ' -ggdb' << ' -DDEBUG'

def fail( *messages )
	$stderr.puts( *messages )
	exit( 1 )
end


dir_config( 'bsd/jail' )

have_header( 'stdio.h' )      or fail "Can't find the stdio.h header."
have_header( 'sys/param.h' )  or fail "Can't find the sys/param.h header."
have_header( 'sys/jail.h' )   or fail "Can't find the sys/jail.h header."
have_header( 'sys/types.h' )  or fail "Can't find the sys/types.h header."
have_header( 'sys/sysctl.h' ) or fail "Can't find the sys/sysctl.h header."
have_header( 'unistd.h' )     or fail "Can't find the unistd.h header."
have_header( 'arpa/inet.h' )  or fail "Can't find the arpa/inet.h header."
have_header( 'errno.h' )      or fail "Can't find the errno.h header."

have_func( "jail_attach" ) or fail "Can't find jail_attach in the stdlib."

create_makefile( 'bsd/jail' )

